﻿using Infragistics.Controls.Editors;
using System;
using System.Windows;

namespace XamComboEditor_DisableCheckbox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Combo_DropDownOpening(object sender, System.ComponentModel.CancelEventArgs e)
        {
            XamComboEditor combo = sender as XamComboEditor;
            bool enabled = true;

            foreach (ComboEditorItem item in combo.Items)
            {
                item.IsEnabled = enabled;
                enabled = false;
            }
        }
    }
}
